Bug 227957 - system-config-printer does not allow to set any job options at all
system-config-printer does not allow to set any job options at all
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-08 21:05 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 14:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-02-08 21:05:19 EST
Description of problem:

With system-config-printer-0.7.50-1.fc6 from updates-testing
hitting "Apply" after picking and setting one or more job options
makes them all just vanish.  This is not a question of only
display.  There are no changes to be noticed in any files
in /etc/cups/ directory too.

What is more interesting is that system-config-printer-0.7.50-1.fc7
on a rawhide installation does not behave that way although
in other details it is very similar.

Well, there is at least one difference.  Hitting "Make Default Printer"
button in "Settings" does no cause here any complaints (see
bug 227936).  It appears that action only writes a new classes.conf
which, at least in my case, does not differ from classes.conf.O
save a recorded in it date.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.50-1.fc6

How reproducible:
always
Comment 1 Tim Waugh 2007-02-09 05:50:57 EST
What do these commands say?:

/usr/sbin/getenforce
ls -Z /etc/cups
Comment 2 Michal Jaegermann 2007-02-09 14:38:56 EST
Ah, a very good guess.  Thanks. '/usr/sbin/getenforce' says "Enforcing"
and there was "system_u:object_r:file_t" on printers.conf.  After
I changed that to "system_u:object_r:cupsd_rw_etc_t" job options
started to behave.

OTOH this silent disappearing act was really mystifying.

Note You need to log in before you can comment on or make changes to this bug.